var elemCache = {};
function $(id) {
	return elemCache[id] || (elemCache[id] = document.getElementById(id));
}


var editFolderProperties = {
	_params: null,
	_node: null,
	_title: "",
	_description: "",
	_strings: null,

	init: function() {
		with (this) {
			_params = window.arguments[0];
			_node = _params.node;
			_title = $("editBMPanel_namePicker");
			_title.value = _params.realTitle;
			_description = $("editBMPanel_descriptionField");
			_description.value = PlacesUIUtils.getItemDescription(_node.itemId);
			_strings = $("stringBundle");
		}
		document.title = this._strings.getFormattedString("dialogTitleEdit", [this._title.value]);
		document.documentElement.getButton("accept").label = this._strings.getString("dialogAcceptLabelEdit");
	},
	finish: function() {
	},
	accept: function() {
		this._params.result = { title:this._title.value, description:this._description.value };
		return true;
	},
	cancel: function() {
	}
};
